Bug 998710 - Add LVM support for /boot.
Add LVM support for /boot.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
All All
medium Severity low
: rc
: 7.3
Assigned To: Peter Rajnoha
cluster-qe@redhat.com
: FutureFeature
Depends On: 760243 1496229 760258
Blocks: 1164947 1205796 1298243 1469559 794823 1008418 1243449 1411715
  Show dependency treegraph
 
Reported: 2013-08-19 16:28 EDT by Alasdair Kergon
Modified: 2017-09-26 13:42 EDT (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 872576
: 1243449 (view as bug list)
Environment:
Last Closed: 2017-07-26 10:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2022923 None None None 2016-12-02 09:09 EST
Red Hat Knowledge Base (Solution) 39416 None None None 2016-12-02 09:08 EST

  None (edit)
Description Alasdair Kergon 2013-08-19 16:28:32 EDT
Add LVM support for /boot.

LVM already added pvcreate --embeddingareasize and pvs -o +ea_start,ea_size to create an embedding area within a PV and reports it via pvs (the embedding area start is subject to alignment and it's calculated by LVM tools).

Grub can use this space that is specifically reserved for external tools to embed their data/metadata. The aim is to remove a need for partitions (also GPT's "boot" type partition) and also have a way to reserve a space that LVM will not touch at all and which can be exclusively used by external tools.

This bug covers the remaining work needed on the LVM/grub interface for full /boot support.
Comment 7 Mark Thacker 2016-11-30 16:10:28 EST
Would like to see this as well. Also, would this be an enabler for other activities such as booting from a snapshot with a grub menu item?
Comment 8 Terry Bowling 2016-12-02 08:53:21 EST
This would be a great feature allowing RHEL 7 to use only LVM and no old-school partitions.

This would provide much greater flexibility with disk imaging and our own RHEL cloud images which currently do not use lvm for /dev/sda.  So if I deploy a cloud image, I cannot easily resize the disk limiting my flexibility in use the cloud image as a gold image foundation for my deployments.
Comment 12 Mark Thacker 2017-02-01 14:09:57 EST
Deferring to RHEL 7.5.
Comment 13 Bryn M. Reeves 2017-06-16 06:56:32 EDT
> This would provide much greater flexibility with disk imaging and our own RHEL 
> cloud images which currently do not use lvm for /dev/sda.  So if I deploy a 
> cloud image, I cannot easily resize the disk limiting my flexibility in use the 
> cloud image as a gold image foundation for my deployments.

I can understand the limitation here, in terms of conventional partitions not allowing straightforward resize, but it's not quite clear to me why being able to place /boot on LVM2 would fix it?

What's the restriction that prevents the cloud images from using LVM devices on sda in this scenario? (with a conventional partition for /boot as in a regular installation).
Comment 15 Jonathan Earl Brassow 2017-07-26 10:42:39 EDT
We would like to add more boot time features, like booting to a snapshot (or group of snapshots); but eliminating /boot is a tall order - especially with UEFI booting.  This may never happen and certainly won't happen in RHEL7.

Note You need to log in before you can comment on or make changes to this bug.